#include <iostream>
#include <stdio.h>
#include <string.h>
using namespace std;
const int MAXN=505;
char mat[MAXN][MAXN];
bool visited[MAXN][MAXN];
int i, j, n,m,k;

void input(){
    cin >> n >> m;
    for(i=0;i<n;i++)cin >> mat[i];
}
void outputmat(){
    for(i=0;i<n;i++){
        cout << mat[i] << "\n";
    }
}

bool valid(int y, int x){
    return y>0&&y<=n&&x>0&&x<=n;
}

void dfs(int y, int x){
    
}

int main(){
    input();
    cout << 4;
}